BareMetal API, REST: Vrf.List
Retrieves the list of VRF resources in the specified folder.
HTTP request
GET https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/vrfs
Query parameters
|
Field |
Description |
|
folderId |
string ID of the folder to list VRFs in. The maximum string length in characters is 50. Value must match the regular expression |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
|
orderBy |
string By which column the listing should be ordered and in which direction, |
|
filter |
string A filter expression that filters resources listed in the response.
|
Response
HTTP Code: 200 - OK
{
"vrfs": [
{
"id": "string",
"cloudId": "string",
"folderId": "string",
"name": "string",
"description": "string",
"status": "string",
"staticRoutes": [
{
"destinationCidr": "string",
"nextHopIpAddress": "string",
"redistributionType": "string"
}
],
"createdAt": "string",
"labels": "object"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
vrfs[] |
List of VRF resources. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
Vrf
|
Field |
Description |
|
id |
string ID of the VRF. |
|
cloudId |
string ID of the cloud that the private subnet belongs to. |
|
folderId |
string ID of the folder that the private subnet belongs to. |
|
name |
string Name of the VRF. |
|
description |
string Optional description of the VRF. |
|
status |
enum (Status) Status of the VRF.
|
|
staticRoutes[] |
Static routes. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
labels |
object (map<string, string>) Resource labels as |
StaticRoute
|
Field |
Description |
|
destinationCidr |
string Destination network CIDR block. |
|
nextHopIpAddress |
string Next hop host IP address. |
|
redistributionType |
enum (RedistributionType) Redistribution type.
|